#ifndef WIFI_H_
#define WIFI_H_

#define WIFI_SUCCESS  1
#define WIFI_FAIL     0

void WiFi_init(void);
void WiFi_restart(void);
void WiFi_set_baud_rate(int baud,int data_bits,int stop_bits,int parity,int flow_ctl);
void WiFi_set_wifi_mode(int mode);
void WiFi_join_access_point(const char ssid[],const char password[]);
void WiFi_quit_access_point(void);
void WiFi_set_IP_mode(int mode);
void WiFi_set_IP_address(const char *ip);
void WiFi_set_softAP_options(const char *ssid,const char *password,int channel_id,int encription);
void WiFi_enable_multiple_connections(int enable);
void WiFi_establish_TCP_connection(int connection_id, const char *ip,int port);
void WiFi_register_UDP_port(int connection_id,const char *remote_ip, int remote_port, int local_port, int mode);
void WiFi_close_connection(int connection_id);
int WiFi_create_TCP_server(int port);
void WiFi_delete_server(void);
void WiFi_send_data(int connection_id,const char data[]);
int WiFi_receive_data(char data[],int limit);

#endif /* WIFI_H_ */